Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28896

Description

Within the layout composer, the 'filter with' feature on attribute tables no longer works for with @... variables.

I have tested this with @layout_name, @atlas_pagename, @atlas_featureid, @project_crs and @project_author variables but assume it

doesn't work with any of them.

The variables and their values can be seen in the expression builder, but when used in the filter itself it does not function as expected.

This used to work in previous versions.

Associated revisions

Revision 60f252c2 - 2019-01-25 07:02 AM - Nyall Dawson

[layouts] Fix attribute table filtering not utilising expression context

Fixes #21078

Revision de0aedec - 2019-02-28 10:38 AM - Nyall Dawson

[layouts] Fix attribute table filtering not utilising expression context

Fixes #21078

History

#1 - 2019-01-23 12:30 PM - Angus McBride

Possibly related to this?

https://github.com/qgis/QGIS/commit/cf410407da9d4a3268e3de36517e3562ec7660d6#diff-887fdafee1e30d7f3be6c52a21c4c87d

#2 - 2019-01-23 08:23 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#3 - 2019-01-25 07:01 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/commit/cf410407da9d4a3268e3de36517e3562ec7660d6#diff-887fdafee1e30d7f3be6c52a21c4c87d


Applied in changeset commit:qgis|60f252c2f22d1ab89361d1381b1aacbe544fb756.
